
Redmine - Feature #571

Configurable "Display project descriptions" in project list

2008-01-21 03:56 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It can be nice to enable/disable displaying projects descriptions in project list. Now the "Project description"

is not required field (thanx JPLang) but sometimes it's still usefull field, but some users (like me) would like to

see project description only on homepage of project itself, not in projects list.

Related issues:

Related to Redmine - Feature #29482: Query system for Projects page Closed

Related to Redmine - Feature #32350: Show each project as card in the project... New

History

#1 - 2012-10-27 22:53 - Daniel Felix

Maybe this could be implemented with a duplication of this description field.

One type of description field (for project list for example) and one type of "welcome message" or something like this which is displayed on the home

page of the project itself instead of the project description?

#2 - 2013-01-09 17:24 - Dmitry Babenko

Progressive Projects List plugin solves this issue and adds some other cool features.

#3 - 2017-07-04 15:13 - Martin von Wittich

If you just want to get rid of the descriptions in the project list, and you don't need it configurable, use the Custom CSS plugin ( 

http://www.redmine.org/plugins/redmine_custom_css ) with the following CSS rule:

div#projects-index div.wiki.description { display: none; }

#4 - 2018-07-01 02:49 - Go MAEDA

- Description updated

- Category set to Projects

#5 - 2020-04-19 14:06 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

The field is now configurable in Projects page when the list view is used. For board view, we can make this configurable if we move to cards (#32350

).

#6 - 2020-04-19 14:06 - Marius BĂLTEANU

- Related to Feature #29482: Query system for Projects page added

#7 - 2020-04-19 14:06 - Marius BĂLTEANU

- Related to Feature #32350: Show each project as card in the projects board added
